как установить pygame на Mac 10.6.8, установив python 2.7.9

Я хочу установить pygame на Mac 10.6.8.
Мне удалось установить python 2.7.9 и сделать его стабильным.
Я пытался установить разные версии pygame, но никто не работал: например, с 1.9.1 он дает мне эту ошибку:

Вывод:

Traceback (most recent call last): File "/.../Desktop/example.py", line 1, in <module> import pygame File "/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pygame/__init__.py", line 95, in <module> from pygame.base import * ImportError: dlopen(/Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pygame/base.so, 2): no suitable image found. Did find: /Library/Frameworks/Python.framework/Versions/2.7/lib/python2.7/site-packages/pygame/base.so: no matching architecture in universal wrapper 

Я не знаю, является ли это проблемой компьютерной архитектуры (32/64 бит) или потому, что версии python и pygame не совпадают.

Я попытался посмотреть дальше на официальном сайте pygame, но ничего не решил.

У кого-то была такая же проблема? Как его решить?

Обратите внимание, что я уже рассмотрел другие подобные вопросы о stackoverflow.

  • Почему в Python3 нет функции xrange?
  • Как «внедрить» небольшой массив numpy в предопределенный блок большого массива numpy?
  • Python PIL не может найти мой "libjpeg"
  • Ошибка цветовой схемы Matplotlib с длиной-4 массива
  • Назначение строки python ctypes in_dll
  • Обтекание функции LAPACKE с помощью Cython
  • Невозможно найти ссылку «xxx» в __init__.py - Python / Pycharm
  • сравнение двух текстовых файлов и удаление дубликатов в python
  • 2 Solutions collect form web for “как установить pygame на Mac 10.6.8, установив python 2.7.9”

    Кажется, существует двоякая несовместимая проблема. Возможно, вы можете скачать исходный код и скомпилировать его: https://bitbucket.org/pygame/pygame

    Решение для меня, после многого поиска, описано в этой ссылке , используя homwbrew и pip.

    • установить XQuarts, если он еще не установлен с сайта
    • установить homebrew ( ссылка здесь )
    • установить python3 с помощью команды brew install python3 в терминале
    • установить систему контроля версий Mercurial: заварить установку меркуриальной
    • сделать то же самое для системы управления версиями git, которая необходима пакету зависимости: brew install git
    • Теперь установите все зависимости Pygame: brew install sdl sdl_image sdl_mixer sdl_ttf smpeg portmidi
    • install pip с помощью команды / usr / local / share / python3 / easy_install pip (в моем случае папка была /usr/local/Cellar/python3/3.4.3_2/bin )
    • / usr / local / share / python3 / pip install hg + http://bitbucket.org/pygame/pygame
    Python - лучший язык программирования в мире.